Bug 1126980 - Apple Magic Trackpad crashes on Three Finger Click [NEEDINFO]
Summary: Apple Magic Trackpad crashes on Three Finger Click
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 18:42 UTC by Sami Wagiaalla
Modified: 2016-06-07 22:46 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-10 14:59:57 UTC
jforbes: needinfo?


Attachments (Terms of Use)

Description Sami Wagiaalla 2014-08-05 18:42:25 UTC
Description of problem:

The Apple Magic Trackpad works fine until I try to do a three-finger click to paste something for example. The device stops working unless I disconnect it and reconnect again from the bluetooth settings window. Or I restart bluetooth.service.

Version-Release number of selected component (if applicable):
$ uname -r
3.15.7-200.fc20.x86_64
# but it has been broken since I installed f20.

$ rpm -qa | grep bluez
bluez-5.18-1.fc20.x86_64
bluez-cups-5.18-1.fc20.x86_64
bluez-libs-5.18-1.fc20.x86_64

How reproducible: Always

Steps to Reproduce:
1. Setup and pair with Apple Magic Trackpad
2. Try do do a three finger click

Actual results:
Cursor freezes until I reconnect.

Expected results:
A successfull three finger click (paste)

Additional info:

- This worked fine in f19
- When the trackpad freezes a mouse or the laptop's track pad is still working

Comment 1 Sami Wagiaalla 2014-08-07 15:16:13 UTC
This is perhaps a kernel issue. I just discovered that the device is still connected just not functioning properly. For example you can press down to click but you cannot move the pointer or tap to click.

Comment 2 Justin M. Forbes 2014-11-13 16:00:08 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2014-12-10 14:59:57 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.